# BEGIN SourceDeps(oneline):
BuildRequires: boost-devel-headers perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/ParseXS.pm) perl(Panda/Install.pm) perl(Test/Deep.pm) perl(Test/More.pm) perl(Test/Simple.pm) swig
# END SourceDeps(oneline)
%define module_name CPP-Boost-Mini
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.68.0.2
Release: alt4
Summary: C++ Boost library (no perl interface).
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MR/MRAQ/%{module_name}-%{version}.tar.gz

%description
Includes libraries: 
callable_traits compatibility config container container_hash conversion core crc disjoint_sets hof preprocessor integer io logic uuid

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE.txt
%perl_vendor_archlib/C*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.68.0.2-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.68.0.2-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.68.0.2-alt2
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.68.0.2-alt1.1
- rebuild with perl 5.28.1

* Wed Dec 26 2018 Igor Vlasenko <viy@altlinux.ru> 1.68.0.2-alt1
- initial import by package builder

